## advanced-systemui 0.6.0

=== Makefile ===
#	Advanced System UI
#	Copyright (c) 2010-2011 Brand Huntsman <brand.huntsman@gmail.com>

CC = gcc
LD = $(CC)
NAME = advanced-systemui

DEPS = xft dbus-1 gconf-2.0
# conic

LIBS = -lX11 -lXpm -lm -lXrandr `pkg-config --libs $(DEPS)` -pthread -lesd
CFLAGS = -O2 -Wall -W -Wno-unused-parameter -I/usr/include/X11/Xft `pkg-config --cflags $(DEPS)` -pthread
LDFLAGS =
PROG = $(NAME)

#################### EDIT HERE

# test build
#include .makefile-test
#CFLAGS += -DTESTLOG

# debug build
#include .makefile-debug

####################

OBJS = main.o config.o window.o dialog.o draw.o text.o hardware.o services.o dbus.o powerbutton.o dsme.o secure.o alarm.o flashlight.o battery_graph.o process_viewer.o governor_dsp.o \
	button_lock.o button_flight_mode.o button_reboot_shutdown.o button_rotate.o button_audio_lock.o button_key_repeat.o button_screenshot.o \
	button_screen_stayslit.o button_screen_autolock.o button_sounds.o button_settings.o button_edit_buttons.o button_edit_widgets.o \
	widget_battery.o widget_brightness.o widget_volume.o widget_bluetooth.o widget_gps.o widget_wifi.o \
	widget_clock.o widget_audio.o widget_desktop.o widget_ssh.o widget_vpn.o widget_usb.o

all: $(PROG)
	$(POSTCMD)

cfg:
	@(cd settings ; make)

sb:
	@(cd statusbar ; make)

clean:
	rm -f $(NAME) $(NAME)-test $(NAME)-debug *.o core default-theme.inc images/white_*.xpm
	@(cd settings ; make clean)
	@(cd statusbar ; make clean)

install: $(NAME)
	strip $(NAME)
	install -o root -g root -m 755 $(NAME) $(DESTDIR)/usr/bin/

	# autobuilder doesn't support -T
	# install -o root -g root -m 755 -T scripts/asui.sh $(DESTDIR)/usr/bin/asui
	cp scripts/asui.sh $(DESTDIR)/usr/bin/asui ; chown root.root $(DESTDIR)/usr/bin/asui ; chmod 755 $(DESTDIR)/usr/bin/asui

	# autobuilder doesn't support -T
	# install -o root -g root -m 755 -T scripts/$(NAME).init.d $(DESTDIR)/etc/init.d/$(NAME)
	cp scripts/$(NAME).init.d $(DESTDIR)/etc/init.d/$(NAME) ; chown root.root $(DESTDIR)/etc/init.d/$(NAME) ; chmod 755 $(DESTDIR)/etc/init.d/$(NAME)
	# install -o root -g root -m 755 -T scripts/$(NAME)-early.init.d $(DESTDIR)/etc/init.d/$(NAME)-early
	cp scripts/$(NAME)-early.init.d $(DESTDIR)/etc/init.d/$(NAME)-early ; chown root.root $(DESTDIR)/etc/init.d/$(NAME)-early ; chmod 755 $(DESTDIR)/etc/init.d/$(NAME)-early

	install -o root -g root -m 644 scripts/$(NAME)*.desktop $(DESTDIR)/usr/share/applications/hildon/
	install -o root -g root -m 644 scripts/asui*_icon.png $(DESTDIR)/usr/share/icons/hicolor/64x64/hildon/
	install -o root -g root -m 644 scripts/$(NAME).sudoers $(DESTDIR)/etc/sudoers.d/

	install -o root -g root -m 644 themes/* $(DESTDIR)/etc/asui-themes/

	install -o root -g root -m 644 scripts/install-notice.txt $(DESTDIR)/usr/share/asui/

	@(cd settings ; make install)
	@(cd statusbar ; make install)

$(PROG): $(OBJS)
	@echo "linking $(PROG)"
	@$(LD) -o $(PROG) $(OBJS) $(LDFLAGS) $(LIBS)

images/white_reboot.xpm: images/make_white.sh images/reboot.xpm images/shutdown.xpm
	@echo "generating white images"
	@(cd images ; ./make_white.sh)

default-theme.inc: themes/default.bw Makefile
	@echo "generating default theme"
	@awk '{first=substr($$0, 0, 1); if(first >= "a" && first <= "z") printf("x_get_color(\"#%s\", \"#%s\"); // %s\n", $$3, $$4, $$1);}' themes/default.bw > default-theme.inc

.c.o:
	@echo "compiling $<"
	@$(CC) $(CFLAGS) -o $@ -c $< -DARCH_$(SBOX_DPKG_INST_ARCH) -DBINNAME="\"$(PROG)\""

main.o: Makefile main.c powerbutton.h							window.h main.h draw.h text.h config.h services.h hardware.h dialog.h dbus.h dsme.h secure.h alarm.h flashlight.h widget_battery.h widget_clock.h widget_brightness.h widget_volume.h button_rotate.h button_reboot_shutdown.h button_screenshot.h
config.o: Makefile config.c										         main.h               config.h            hardware.h
window.o: Makefile window.c default-theme.inc					window.h main.h        text.h config.h services.h hardware.h dialog.h dbus.h dsme.h          alarm.h flashlight.h widget_battery.h widget_clock.h                                     images/*.xpm images/white_reboot.xpm button_audio_lock.h
dialog.o: Makefile dialog.c										window.h main.h draw.h text.h                                dialog.h
draw.o: Makefile draw.c											window.h        draw.h text.h config.h
text.o: Makefile text.c											window.h main.h        text.h
hardware.o: Makefile hardware.c									window.h main.h               config.h services.h hardware.h dialog.h dbus.h dsme.h
services.o: Makefile services.c									         main.h draw.h        config.h services.h hardware.h
dbus.o: Makefile dbus.c											window.h main.h               config.h            hardware.h dialog.h dbus.h dsme.h          alarm.h                                                                                  button_audio_lock.h
powerbutton.o: Makefile powerbutton.c powerbutton.h				window.h main.h               config.h            hardware.h dialog.h dbus.h dsme.h          alarm.h                                                                                  button_audio_lock.h
dsme.o: Makefile dsme.c											window.h main.h               config.h            hardware.h dialog.h dbus.h dsme.h
secure.o: Makefile secure.c										window.h main.h draw.h text.h config.h            hardware.h dialog.h        dsme.h secure.h         flashlight.h widget_battery.h widget_clock.h
alarm.o: Makefile alarm.c										         main.h draw.h text.h config.h services.h hardware.h dialog.h dbus.h                 alarm.h
flashlight.o: Makefile flashlight.c								         main.h draw.h                            hardware.h dialog.h        dsme.h                  flashlight.h
battery_graph.o: Makefile battery_graph.c						window.h main.h draw.h text.h config.h            hardware.h dialog.h                                                                                                                 battery_graph.h
process_viewer.o: Makefile process_viewer.c						window.h main.h draw.h text.h          services.h            dialog.h                                                                                                                 process_viewer.h
governor_dsp.o: Makefile governor_dsp.c							window.h main.h draw.h text.h                     hardware.h dialog.h                                                                                                                 governor_dsp.h

button_lock.o: Makefile button_lock.c							         main.h draw.h text.h config.h            hardware.h          dbus.h
button_flight_mode.o: Makefile button_flight_mode.c				         main.h draw.h text.h config.h services.h hardware.h
button_reboot_shutdown.o: Makefile button_reboot_shutdown.c		window.h main.h draw.h text.h config.h            hardware.h dialog.h                                                                                                                 button_reboot_shutdown.h
button_rotate.o: Makefile button_rotate.c						window.h main.h draw.h        config.h            hardware.h                                                                                                                          button_rotate.h
button_audio_lock.o: Makefile button_audio_lock.c				window.h main.h draw.h text.h config.h            hardware.h                                                                                                                          button_audio_lock.h
button_key_repeat.o: Makefile button_key_repeat.c				window.h main.h draw.h text.h config.h            hardware.h
button_screenshot.o: Makefile button_screenshot.c				window.h main.h draw.h text.h config.h
button_screen_stayslit.o: Makefile button_screen_stayslit.c		window.h main.h draw.h text.h config.h            hardware.h
button_screen_autolock.o: Makefile button_screen_autolock.c		window.h main.h draw.h text.h config.h            hardware.h
button_sounds.o: Makefile button_sounds.c						window.h main.h draw.h text.h config.h
button_settings.o: Makefile button_settings.c					window.h main.h draw.h text.h config.h
button_edit_buttons.o: Makefile button_edit_buttons.c			         main.h draw.h text.h config.h
button_edit_widgets.o: Makefile button_edit_widgets.c			         main.h draw.h text.h config.h

widget_battery.o: Makefile widget_battery.c						window.h main.h draw.h text.h config.h services.h hardware.h dialog.h                                             widget_battery.h                                                    battery_graph.h process_viewer.h governor_dsp.h
widget_brightness.o: Makefile widget_brightness.c				window.h main.h draw.h text.h config.h            hardware.h                                                                                      widget_brightness.h
widget_volume.o: Makefile widget_volume.c						window.h main.h draw.h text.h config.h            hardware.h                                                                                                          widget_volume.h
widget_bluetooth.o: Makefile widget_bluetooth.c					window.h main.h draw.h text.h config.h services.h hardware.h
widget_gps.o: Makefile widget_gps.c								window.h main.h draw.h text.h config.h services.h hardware.h
widget_wifi.o: Makefile widget_wifi.c							window.h main.h draw.h text.h config.h services.h hardware.h
widget_clock.o: Makefile widget_clock.c							window.h main.h draw.h text.h config.h            hardware.h dialog.h        dsme.h                  flashlight.h                  widget_clock.h
widget_audio.o: Makefile widget_audio.c							window.h main.h draw.h text.h config.h services.h
widget_desktop.o: Makefile widget_desktop.c						window.h main.h draw.h text.h config.h services.h
widget_ssh.o: Makefile widget_ssh.c								window.h main.h draw.h text.h config.h services.h
widget_vpn.o: Makefile widget_vpn.c								window.h main.h draw.h text.h config.h services.h
widget_usb.o: Makefile widget_usb.c								window.h main.h draw.h text.h config.h            hardware.h

=== settings/Makefile ===
#	Advanced System UI
#	Copyright (c) 2011 Brand Huntsman <brand.huntsman@gmail.com>

CC = gcc
LD = $(CC)

DEPS = gtk+-2.0 hildon-1 dbus-1 gconf-2.0

LIBS = -lm `pkg-config --libs $(DEPS)`
CFLAGS = -O2 -Wall -W -Wno-unused-parameter `pkg-config --cflags $(DEPS)`
LDFLAGS =

PROG = advanced-systemui-settings

OBJS = main.o statusbar.o battery.o clock.o brightness.o wifi.o rbv_keys.o button_modes.o power_button.o device_lock.o ui.o alarm.o audio_lock.o services.o mce.o

all: $(PROG)
	strip $(PROG)

clean:
	rm -f $(PROG) *.o core

install: $(PROG)
	strip $(PROG)
	install -o root -g root -m 755 $(PROG) $(DESTDIR)/usr/bin/

$(PROG): $(OBJS)
	@echo "linking $(PROG)"
	@$(LD) -o $(PROG) $(OBJS) $(LDFLAGS) $(LIBS)

.c.o:
	@echo "compiling $<"
	@$(CC) $(CFLAGS) -o $@ -c $< -DARCH_$(SBOX_DPKG_INST_ARCH) -DBINNAME="\"$(PROG)\""

main.o: Makefile main.c *.h
statusbar.o: Makefile statusbar.c statusbar.h main.h
battery.o: Makefile battery.c battery.h main.h
clock.o: Makefile clock.c clock.h main.h
brightness.o: Makefile brightness.c brightness.h main.h
wifi.o: Makefile wifi.c wifi.h main.h
rbv_keys.o: Makefile rbv_keys.c rbv_keys.h main.h
button_modes.o: Makefile button_modes.c button_modes.h main.h
power_button.o: Makefile power_button.c power_button.h main.h
device_lock.o: Makefile device_lock.c device_lock.h main.h
ui.o: Makefile ui.c ui.h main.h
alarm.o: Makefile alarm.c alarm.h main.h
audio_lock.o: Makefile audio_lock.c audio_lock.h main.h
services.o: Makefile services.c services.h main.h
mce.o: Makefile mce.c mce.h main.h

=== statusbar/Makefile ===
#	Advanced System UI
#	Copyright (c) 2011 Brand Huntsman <brand.huntsman@gmail.com>

CC = gcc
LD = $(CC)

DEPS = gtk+-2.0 libosso hildon-1 libhildondesktop dbus-1 gconf-2.0

LIBS = `pkg-config --libs $(DEPS)` -lesd
CFLAGS = -O2 -Wall -W -Wno-unused-parameter `pkg-config --cflags $(DEPS)`
LDFLAGS =

PROGS = libasui-battery.so

OBJS = main.o config.o dbus.o battery.o bme.o cpu.o

all: $(PROGS)

clean:
	rm -f $(PROGS) *.o core

install: $(PROGS)
	install -o root -g root -m 644 libasui-*.so $(DESTDIR)/usr/lib/hildon-desktop/
	install -o root -g root -m 644 asui-*.desktop $(DESTDIR)/usr/share/applications/hildon-status-bar/
	install -o root -g root -m 644 icons/* $(DESTDIR)/usr/share/icons/hicolor/40x40/hildon/

libasui-battery.so: $(OBJS)
	@echo "linking $@"
	@$(LD) -shared -o $@ $^ $(LDFLAGS) $(LIBS)

.c.o:
	@echo "compiling $<"
	@$(CC) $(CFLAGS) -o $@ -c $<

main.o: Makefile main.c			main.h config.h dbus.h battery.h bme.h cpu.h
config.o: Makefile config.c		main.h config.h        battery.h bme.h cpu.h
dbus.o: Makefile dbus.c			main.h config.h dbus.h battery.h bme.h cpu.h
battery.o: Makefile battery.c	main.h          dbus.h battery.h
bme.o: Makefile bme.c			main.h          dbus.h           bme.h
cpu.o: Makefile cpu.c			main.h          dbus.h                 cpu.h

=== debian/changelog ===
advanced-systemui (0.6.0) unstable; urgency=low

  * fix: battery widget on device lock keypad now updates immediately
  * fix: disable check_orientation() call when no rotation support to prevent segfault on window map
  * fix: a second long press on fullscreen clock will now turn screen blanking back on
  * fix: window now slides smoothly when dragging to unmap
  * fix: config string handling code no longer frees empty strings (appman and asui-settings should now be able to start ASUI)
  * statusbar wifi icon can be mirrored to the right side when bluetooth is off
  * setting to invert devlock keypad
  * convenience script now supports 'dit' and 'dis' commands to simplify download and install of asui and asui-settings test binaries
  * disable key and screen events while window is sliding on to or off of the screen
  * disable key and screen events after device code is entered until window is redrawn
  * statusbar setting to always play battery sounds
  * when device is locked a horizontal swipe on bar will blank screen and a vertical swipe down from the bar will lock&blank
  * battery widget now has a simple charging animation
  * service lights now have a darker halo
  * audio lock button
  * convenience script 'reload_ap' command to reload audio profiles
  * user-defined presets for devlock brightness toggle
  * preset buttons below brightness slider
  * asui-settings uses a timer so the reload config signal is only 1 second after the last change to prevent number editor widget from spamming ASUI
  * new install/upgrade notice to warn users of bugs and help new users

 -- Brand Huntsman <http://qzx.com/asui/?p0=email&page=asui>  Sat, 22 Oct 2011 07:28:48 -0600

=== debian/control ===
Source: advanced-systemui
Section: user/utilities
Priority: extra
Maintainer: Brand Huntsman <brand.huntsman@gmail.com>
Build-Depends: debhelper (>= 5), libx11-dev, libxpm-dev, libxrandr-dev, libxrender-dev, libxft-dev, libdbus-1-dev, libgconf2-dev, libgtk2.0-dev, libhildondesktop-dev, libhildon1-dev, libosso-dev
Standards-Version: 2.0

Package: advanced-systemui
Section: user/utilities
Architecture: any
Depends: ${shlibs:Depends}
Description: Replaces the SystemUI menu with large buttons
 to lock&blank, lock, blank, secure lock, toggle flight mode,
 reboot, shutdown and rotate screen. Also includes battery status,
 cpu governor selection, process viewer, volume and brightness
 controls, clock, flashlight, start/stop various services to
 conserve memory and toggle wifi, bluetooth and gps.
 .
 <URL:http://asui.garage.maemo.org>
XB-Maemo-Display-Name: Advanced SystemUI
XB-Maemo-Upgrade-Description: bug fixes and enhancements, audio lock button, brightness presets
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9sECQ4VHvuBWXsAAANVSURBVEjHvZZBbrs4FMa/YINDEqWyVCUbs2HL
 BWBvabbd5C49QnuFXCFXYE8uMF2ywRuiSlajEMUCk1mUZPh3Og35SzNP8gLL
 5ie/5+97HuGOeHl5EQACAAKAAlA8Pz+rIXsp7osAQAwgAZB1c/8JSHSQ1T0Q
 AHDwPwW9UQ8AwJA63FpPftiUAEi01lEURSPOOcIwDABE3Xjrxl5KGQH4w/f9
 CMCDlHKfpun+x9T1ICsACSEkGJKabt11X/+E/wB9gQgAsNYWQ0C9deI72BUk
 pRRlWSZVVa16Otlwzjfr9TpL0/TbOqVpqtbrdcY53wDYdPtEVVWrsiwTKaX4
 BRSGYeD7fkIISbqpDEA2VJDduuyiL0JI4vt+0tX1E9RR47quY2OMqKpKlWWp
 hkL6sLIsVVVVyhgj6rqOAcRSSnE5UcAYCxzHCRhjylqrqqpSv6OXqqqUtVYx
 xlT3vwBA4ADAcrkUlFLhOI5o27aw1hZ5nhe/A8rzvLDWFm3bFo7jCEqpWC6X
 ggLAYrHAbDYDIQTj8VhNJhP1b8W/FWmaKimlAqBOpxMopX87w3K5HPof1TPT
 7JbXjcdjAMB0Or3bVIseUPW+h3ldWZb91N26woNTejqdYK3F4XD4vN673Q6H
 wwHGGByPR6G1Fheh3RtSSqG1FsfjURhjcDgcsNvtPkFlWaqmaVTbtspxnIAQ
 ElyEdm+EYRgQQgLHcYK2bVXTNKosS3XRUUEpzTzPywCAUhpzzuOvxjikVXDO
 Y0ppDACe52WU0gxAQbq7v396etp7nrenlM5d1537vv+gtZ5fWkSe5/uf0nVp
 FZzzxHXdOaX0zfO8zWw2y9brtRr95N7H4xFN02zf398LANs8z4u+vqSUoktx
 /Pj4GFBK48lkcrmVm75Xjr47vtZ6xRhb1XWdMMZUVVWF67pba23BOb+CtNaC
 EBLUdR1Pp9PAGCNc182MMRvO+abvleQbZe+jKBq5rru31s49z3s4n88RYywg
 hAjXda9d9nw+J5TS5Hw+R5TSvTHmz7ZtN1rr7evr69vNN0Oe50UYhgAA13WD
 pmniznSTX7qm4wCAapomG41G24+Pj2uKBz1OujooKWUBIDDGYLFYgFIq+oI2
 xqBpmmK3220ZY5uvNezHX1O3sq2x6Ii9AAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make clean

	dh_clean


build:
	dh_testdir

	make


install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make DESTDIR=$(CURDIR)/debian/advanced-systemui install


binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch

.PHONY: clean build install binary-indep binary-arch binary
